summaryrefslogtreecommitdiff
path: root/debian/zephyr-clients.init
diff options
context:
space:
mode:
authorGravatar Karl Ramm <kcr@mit.edu>2007-07-20 05:07:19 +0000
committerGravatar Karl Ramm <kcr@mit.edu>2007-07-20 05:07:19 +0000
commit15cf157d47aafe49fd59b7acc23fe172f8a23566 (patch)
tree747829bb544497cad68906bb21b2fd9fbb2cc1f3 /debian/zephyr-clients.init
parent82ea504def6eb144c2b13b315890b297e29345c5 (diff)
debian patch applied and reconciled, version unfinalized
Diffstat (limited to 'debian/zephyr-clients.init')
-rw-r--r--debian/zephyr-clients.init75
1 files changed, 75 insertions, 0 deletions
diff --git a/debian/zephyr-clients.init b/debian/zephyr-clients.init
new file mode 100644
index 0000000..d329ae7
--- /dev/null
+++ b/debian/zephyr-clients.init
@@ -0,0 +1,75 @@
+#! /bin/sh
+#
+# skeleton example file to build /etc/init.d/ scripts.
+# This file should be used to construct scripts for /etc/init.d.
+#
+# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
+# Modified for Debian GNU/Linux
+# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+#
+# Version: @(#)skeleton 1.8 03-Mar-1998 miquels@cistron.nl
+#
+# This file was automatically customized by dh-make on Mon, 4 Dec 2000 05:28:22 -0500
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/zhm
+NAME=zhm
+DESC="zephyr host manager"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+if test -f /etc/default/zephyr-clients
+then
+ . /etc/default/zephyr-clients
+fi
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON -- $zhm_args
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --oknodo --stop --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --oknodo --stop --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON -- -N $zhm_args
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
+
+### BEGIN INIT INFO
+# Provides: zhm
+# Required-Start: $syslog $network
+# Required-Stop: $syslog
+# Should-Stop: $network
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start the zephyr host manager daemon.
+# Description: Start the zephyr host manager daemon.
+### END INIT INFO
+